

package gov.va.med.cds.clinicaldata;



import java.util.Set;


public interface TfsTemplateMetaDataInterface
{

    /**
     * @return the domainEntryPoint
     */
    Set<DomainEntryPoint> getDomainEntryPoints( );


    /**
     * @param theDomainEntryPoint the domainEntryPoint to set
     */
    void setDomainEntryPoints( Set<DomainEntryPoint> theDomainEntryPoint );


    /**
     * @return the array of valid vhimVersions
     */
    String[] getVhimVersions( );


    /**
     * @param aVhimVersions the array of valid vhimVersion to set
     */
    void setVhimVersions( String[] aVhimVersions );


    /**
     * @return the templateId
     */
    String getTemplateId( );


    /**
     * @param theTemplateId the templateId to set
     */
    void setTemplateId( String theTemplateId );


    /**
     * @return the templateName
     */
    String getTemplateName( );


    /**
     * @param theTemplateName the templateName to set
     */
    void setTemplateName( String theTemplateName );


    /**
     * @return the templateDescription
     */
    String getTemplateDescription( );
    
    
    public void setTemplateJar(byte[] templateJar);
    
    public byte[] getTemplateJar();


    /**
     * @param theTemplateDescription the templateDescription to set
     */
    void setTemplateDescription( String theTemplateDescription );


    /**
     * @return the operation
     */
    Operation getOperation( );


    /**
     * @param theOperation the operation to set
     */
    void setOperation( Operation theOperation );


    void setTestOnly( boolean theTestOnly );


    void setTestOnly( String aTrueOrFalse );


    boolean getTestOnly( );


    public String getStatus( );


    public void setStatus( String status );
}
